#!/usr/bin/env node
"use strict";

var _path = _interopRequireDefault(require("path"));

var _cli = require("../cli");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isHelp = process.argv.indexOf('-h') >= 0 || process.argv.indexOf('--help') >= 0; // next-serverless dev

if (!isHelp && (process.argv.length <= 2 || process.argv[2].startsWith('-') || process.argv[2] === 'dev')) {
  require(_path.default.resolve(__dirname, '..', 'server')); // eslint-disable-line
  // next-serverless start

} else if (!isHelp && process.argv.length > 2 && process.argv[2] === 'start') {
  process.env.NODE_ENV = 'production';

  require(_path.default.resolve(__dirname, '..', 'server')); // eslint-disable-line
  // pipe all other commands to the next executable

} else {
  const exec = (0, _cli.executeCommand)(`${(0, _cli.findNext)()}/dist/bin/next`, process.argv.slice(2), isHelp ? {
    stdio: 'pipe'
  } : {});

  if (isHelp) {
    exec.then(output => {
      console.log(output.replace(/\$ next /g, '$ next-serverless '));
    });
  }
}