"use strict";

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const projectDir = process.env.INIT_CWD || process.cwd(); // copy the deafult serverless.yml to the project if it doesn't exist yet

if (_fs.default.existsSync(_path.default.resolve(projectDir, 'package.json')) && !_fs.default.existsSync(_path.default.resolve(projectDir, 'serverless.yml')) && projectDir !== _path.default.resolve(__dirname, '..')) {
  const src = _path.default.resolve(__dirname, '..', 'default-serverless.yml');

  const dest = _path.default.resolve(projectDir, 'serverless.yml');

  let appName = 'next-serverless';

  try {
    appName = require(_path.default.resolve(projectDir, 'package.json')).name; // eslint-disable-line
  } catch (ignored) {}

  const content = _fs.default.readFileSync(src, 'utf-8').replace(/\$APP_NAME/g, appName);

  _fs.default.writeFileSync(dest, content, 'utf-8');

  console.log('Copied', src, 'to', dest);
}